import { createSSRApp } from "vue";
import { createMemoryHistory, createRouter } from "vue-router";
import GERoot, { routes } from "@/generative-energy/GERoot.tsx";

export default function createApp() {
    const router = createRouter({
        routes,
        history: createMemoryHistory("/generative-energy"),
    });
    const app = createSSRApp(GERoot).use(router);
    return { app, router };
}
